import { Service } from "../service";
import * as Leaf from "leaf-ts";
export declare const Errors: Leaf.ErrorsOf<{
    NotAvailable: {};
}>;
export declare class MemoryLockService extends Service {
    name: "MemoryLockService";
    private locks;
    constructor();
    lock(option: {
        resource: string;
    }, callback: (err: Error, lock?: string) => void): void;
    private counter;
    private GC_COUNT;
    release(resource: string, lock: string, callback?: Function): boolean;
    defer<T extends Function>(resource: string, lock: string, callback: T): T;
    private gc();
}
