export declare function APIDecorator<TThis = any, TOption = null>(fn: (option: TOption) => APIDecorator<TThis, TOption>): (option?: TOption) => (obj: TThis, name: string, descriptor: TypedPropertyDescriptor<Function>) => void;
export interface APIDecorator<TThis = any, TOption = null> {
    (this: TThis, orig: Function, option?: TOption): void;
}
export interface Decorator {
    (obj: any, name: string, descriptor: TypedPropertyDescriptor<Function>): void;
}
